View Issue Details

IDProjectCategoryView StatusLast Update
0001933XdebugStep Debuggingpublic2021-09-05 16:15
Reporterderick Assigned Toderick  
PriorityurgentSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
Target Version3.1devFixed in Version3.1.0beta1 
Summary0001933: Allow for cloud ID to be set through the trigger
DescriptionAt the moment Xdebug does only use the value that comes in as the trigger via XDEBUG_SESSION start etc as the IDE Key. With Xdebug Cloud this IDE Key is not used. Instead, Xdebug should use the trigger value as the cloud key to use in the <init packet so that the Cloud Server can redirect it to a connected IDE independent of the cloud ID as set in php.ini.
TagsNo tags attached.
Operating System
PHP Version8.0.0-8.0.4

Relationships

related to 0001986 closedderick Add support for multiple trigger values 

Activities

Issue History

Date Modified Username Field Change
2021-01-13 14:44 derick New Issue
2021-01-13 14:44 derick Status new => assigned
2021-01-13 14:44 derick Assigned To => derick
2021-03-17 08:31 derick Priority normal => urgent
2021-04-21 12:17 derick Status assigned => closed
2021-04-21 12:17 derick Resolution open => fixed
2021-04-21 12:17 derick Fixed in Version => 3.1dev
2021-04-21 12:17 derick Note Added: 0005855
2021-06-20 13:46 derick Relationship added related to 0001986
2021-09-05 16:15 derick Fixed in Version 3.1dev => 3.1.0beta1